Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.event
Class InternalFrameEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--javax.swing.event.InternalFrameEvent

public class InternalFrameEvent
extends java.awt.AWTEvent

InternalFrameEvent: an AWTEvent which adds support for JInternalFrame objects as the event source. This class has the same event types as WindowEvent, although different ids are used.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `WindowEvent`, `WindowListener`, Serialized Form

Field Summary
`static int` | `INTERNAL_FRAME_ACTIVATED` The window activated event type.
`static int` | `INTERNAL_FRAME_CLOSED` The window closed event.
`static int` | `INTERNAL_FRAME_CLOSING` The "window is closing" event.
`static int` | `INTERNAL_FRAME_DEACTIVATED` The window deactivated event type.
`static int` | `INTERNAL_FRAME_DEICONIFIED` The window deiconified event type.
`static int` | `INTERNAL_FRAME_FIRST` The first number in the range of ids used for window events.
`static int` | `INTERNAL_FRAME_ICONIFIED` The window iconified event.
`static int` | `INTERNAL_FRAME_LAST` The last number in the range of ids used for window events.
`static int` | `INTERNAL_FRAME_OPENED` The window opened event.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, id, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InternalFrameEvent(JInternalFrame source, int id)` Constructs a InternalFrameEvent object.

Method Summary
`java.lang.String` | `paramString()` Returns a parameter string identifying this event.

Methods inherited from class java.awt.AWTEvent
`consume, getID, isConsumed, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INTERNAL_FRAME_FIRST

    public static final int INTERNAL_FRAME_FIRST

  The first number in the range of ids used for window events.

### INTERNAL_FRAME_LAST

    public static final int INTERNAL_FRAME_LAST

  The last number in the range of ids used for window events.

### INTERNAL_FRAME_OPENED

    public static final int INTERNAL_FRAME_OPENED

  The window opened event. This event is delivered only the first time a window is made visible.

### INTERNAL_FRAME_CLOSING

    public static final int INTERNAL_FRAME_CLOSING

  The "window is closing" event. This event is delivered when the user selects "Quit" from the window's system menu. If the program does not explicitly hide or destroy the window as while processing this event, the window close operation will be canceled.

### INTERNAL_FRAME_CLOSED

    public static final int INTERNAL_FRAME_CLOSED

  The window closed event. This event is delivered after the window has been closed as the result of a call to hide or destroy.

### INTERNAL_FRAME_ICONIFIED

    public static final int INTERNAL_FRAME_ICONIFIED

  The window iconified event. This event indicates that the window was shrunk down to a small icon.

### INTERNAL_FRAME_DEICONIFIED

    public static final int INTERNAL_FRAME_DEICONIFIED

  The window deiconified event type. This event indicates that the window has been restored to its normal size.

### INTERNAL_FRAME_ACTIVATED

    public static final int INTERNAL_FRAME_ACTIVATED

  The window activated event type. This event indicates that keystrokes and mouse clicks are directed towards this window.

### INTERNAL_FRAME_DEACTIVATED

    public static final int INTERNAL_FRAME_DEACTIVATED

  The window deactivated event type. This event indicates that keystrokes and mouse clicks are no longer directed to the window.

Constructor Detail

### InternalFrameEvent

    public InternalFrameEvent(JInternalFrame source,
                              int id)

  Constructs a InternalFrameEvent object.
  Parameters:
    `source` - the JInternalFrame object that originated the event
    `id` - an integer indicating the type of event

Method Detail

### paramString

    public java.lang.String paramString()

  Returns a parameter string identifying this event. This method is useful for event-logging and for debugging.
  Returns:
    a string identifying the event and its attributes
  Overrides:
    paramString in class java.awt.AWTEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.